> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an entity



## OpenAPI

````yaml /api-reference/4.2/service-apps.json put /apps/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service apps
servers:
  - url: /api/apollo/
security: []
tags:
  - name: apps
paths:
  /apps/{id}:
    put:
      tags:
        - 4.2 Apps API
      summary: Update an entity
      operationId: updateEntity
      parameters:
        - name: id
          in: path
          description: The entity ID
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          description: An entity tag to match
          required: false
          schema:
            type: string
            default: '"-1"'
      requestBody:
        $ref: '#/components/requestBodies/FusionApp'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/appsEntity'
components:
  requestBodies:
    FusionApp:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/appsFusionApp'
      description: JSON-formatted configuration values
  schemas:
    appsEntity:
      type: object
      properties:
        id:
          type: string
    appsFusionApp:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true

````